DELETE api/EmailTemplate?state={state}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| state | boolean |
Required |
Body Parameters
DeleteOrRestore| Name | Description | Type | Additional information |
|---|---|---|---|
| ids | Collection of globally unique identifier |
None. |
|
| state | boolean |
None. |
|
| deleted | boolean |
Required |
|
| system_information | SystemInformation |
None. |
Request Formats
application/json, text/json
Sample:
{
"ids": [
"e137b794-e456-4b27-aea1-6547595ef9f2",
"5a80be4e-8385-47f1-aa8c-814733c156c7"
],
"state": true,
"deleted": true,
"system_information": {
"creation": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "9b62d541-1ab8-44f7-b6cb-762997898d87",
"image_id": "4add08bf-3065-41dc-9a2e-463ec6cd2b4c",
"id_user_work_position": "d1b073a3-ad7e-449f-a1a7-88f72962bdaa",
"id_shift": "13697aae-4ed3-4abf-84be-0ca2aac1be53",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-06T11:28:29Z"
},
"last_change": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "9b62d541-1ab8-44f7-b6cb-762997898d87",
"image_id": "4add08bf-3065-41dc-9a2e-463ec6cd2b4c",
"id_user_work_position": "d1b073a3-ad7e-449f-a1a7-88f72962bdaa",
"id_shift": "13697aae-4ed3-4abf-84be-0ca2aac1be53",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-05-06T11:28:29Z"
}
}
}
application/xml, text/xml
Sample:
<DeleteOrRestore xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<deleted>true</deleted>
<ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>e137b794-e456-4b27-aea1-6547595ef9f2</d2p1:guid>
<d2p1:guid>5a80be4e-8385-47f1-aa8c-814733c156c7</d2p1:guid>
</ids>
<state>true</state>
<system_information>
<creation>
<date>2026-05-06T13:28:29.2340517+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>9b62d541-1ab8-44f7-b6cb-762997898d87</id>
<id_shift>13697aae-4ed3-4abf-84be-0ca2aac1be53</id_shift>
<id_user_work_position>d1b073a3-ad7e-449f-a1a7-88f72962bdaa</id_user_work_position>
<image_id>4add08bf-3065-41dc-9a2e-463ec6cd2b4c</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</creation>
<last_change>
<date>2026-05-06T13:28:29.2340517+02:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>9b62d541-1ab8-44f7-b6cb-762997898d87</id>
<id_shift>13697aae-4ed3-4abf-84be-0ca2aac1be53</id_shift>
<id_user_work_position>d1b073a3-ad7e-449f-a1a7-88f72962bdaa</id_user_work_position>
<image_id>4add08bf-3065-41dc-9a2e-463ec6cd2b4c</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</last_change>
</system_information>
</DeleteOrRestore>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Result| Name | Description | Type | Additional information |
|---|---|---|---|
| messages | Collection of ResultMessage |
None. |
|
| count_of_errors | integer |
None. |
|
| id | Object |
None. |
|
| name | string |
None. |
|
| data | Object |
None. |
|
| url | string |
None. |
|
| text | string |
None. |
|
| inner_exception | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"messages": [
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
},
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
}
],
"count_of_errors": 1,
"id": {},
"name": "sample string 3",
"data": {},
"url": "sample string 5",
"text": "sample string 6",
"inner_exception": "sample string 7"
}
application/xml, text/xml
Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
<count_of_errors>1</count_of_errors>
<data />
<id />
<inner_exception>sample string 7</inner_exception>
<messages>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
</messages>
<name>sample string 3</name>
<text>sample string 6</text>
<url>sample string 5</url>
</Result>